- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FbxAnimCurveKeyBase Class Reference

Search for all occurrences

## Detailed Description

This is the base class interface for the FBX animation curve keys.

Remarks:
  For an example of implemented class, please see FbxAnimCurveKey.

Definition at line 29 of file fbxanimcurvebase.h.

`#include <fbxanimcurvebase.h>`

Inheritance diagram for FbxAnimCurveKeyBase:
[legend]

List of all members.

## Public Member Functions
| FbxAnimCurveKeyBase ()
| Constructor.
virtual | ~FbxAnimCurveKeyBase ()
| Destructor.
virtual FbxTime | GetTime () const
| Get time value.
virtual void | SetTime (const FbxTime &pTime)
| Set time value.
## Public Attributes
FbxTime | mTime
| Data member representing time value.

## Constructor & Destructor Documentation

FbxAnimCurveKeyBase | ( |  | ) | `[inline]`

Constructor.

Definition at line 38 of file fbxanimcurvebase.h.

        {
            mTime = FBXSDK_TIME_ZERO;
        }

virtual ~FbxAnimCurveKeyBase | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 45 of file fbxanimcurvebase.h.

    {};

## Member Function Documentation

virtual FbxTime GetTime | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Get time value.

Returns:
  Time value.

Reimplemented in FbxAnimCurveKey.

Definition at line 50 of file fbxanimcurvebase.h.

        {
            return mTime;
        }

virtual void SetTime | ( | const FbxTime & | pTime | ) | `[inline, virtual]`

Search for all occurrences

Set time value.

Parameters:

  pTime | Time value to set.

Reimplemented in FbxAnimCurveKey.

Definition at line 58 of file fbxanimcurvebase.h.

                                                    {
            mTime = pTime;
        }

## Member Data Documentation

FbxTime mTime

Search for all occurrences

Data member representing time value.

Definition at line 34 of file fbxanimcurvebase.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimcurvebase.h

FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase
FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase FbxAnimCurveKeyBase